#!/bin/bash
#
# Robocup 2011 sample start script for 3D soccer simulation
#
export LD_LIBRARY_PATH==$LD_LIBRARY_PATH:./libs

AGENT_BINARY="kylinsky"
BINARY_DIR="./"
NUM_PLAYERS=2
killall -9 "$AGENT_BINARY" &> /dev/null

for ((i=2;i<=$NUM_PLAYERS;i++)); do
    echo "Running $AGENT_BINARY agent No. $i"
    "$BINARY_DIR$AGENT_BINARY" --host=$1 --Unum=$i > /dev/null 2> /dev/null &
    #"$BINARY_DIR$AGENT_BINARY" --host=$1 --Unum=$i > log/stdout$i 2> log/stderr$i &
sleep 1
done

